XMLConstants (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junit, interface: XMLConstants

Package org.apache.tools.ant.taskdefs.optional.junit

# Interface XMLConstants

All Known Implementing Classes:
  `XMLJUnitResultFormatter`, `XMLResultAggregator`

public interface XMLConstants

Interface groups XML constants. Interface that groups all constants used throughout the `XML` documents that are generated by the `XMLJUnitResultFormatter`.

As of now the DTD is:

     <!ELEMENT testsuites (testsuite*)>

     <!ELEMENT testsuite (properties, testcase*,
                         failure?, error?,
                         system-out?, system-err?)>
     <!ATTLIST testsuite name      CDATA #REQUIRED>
     <!ATTLIST testsuite tests     CDATA #REQUIRED>
     <!ATTLIST testsuite failures  CDATA #REQUIRED>
     <!ATTLIST testsuite errors    CDATA #REQUIRED>
     <!ATTLIST testsuite time      CDATA #REQUIRED>
     <!ATTLIST testsuite package   CDATA #IMPLIED>
     <!ATTLIST testsuite id        CDATA #IMPLIED>

     <!ELEMENT properties (property*)>

     <!ELEMENT property EMPTY>
       <!ATTLIST property name  CDATA #REQUIRED>
       <!ATTLIST property value CDATA #REQUIRED>

     <!ELEMENT testcase (failure?, error?)>
       <!ATTLIST testcase name       CDATA #REQUIRED>
       <!ATTLIST testcase classname  CDATA #IMPLIED>
       <!ATTLIST testcase time       CDATA #REQUIRED>

     <!ELEMENT failure (#PCDATA)>
      <!ATTLIST failure message CDATA #IMPLIED>
      <!ATTLIST failure type    CDATA #REQUIRED>

     <!ELEMENT error (#PCDATA)>
       <!ATTLIST error message CDATA #IMPLIED>
       <!ATTLIST error type    CDATA #REQUIRED>

     <!ELEMENT system-err (#PCDATA)>

     <!ELEMENT system-out (#PCDATA)>

See Also:
  - `XMLJUnitResultFormatter`
  - `XMLResultAggregator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTR_CLASSNAME`
  classname attribute for testcase elements
  `static final String`
  `ATTR_ERRORS`
  errors attribute for testsuite elements
  `static final String`
  `ATTR_FAILURES`
  failures attribute for testsuite elements
  `static final String`
  `ATTR_ID`
  id attribute
  `static final String`
  `ATTR_MESSAGE`
  message attribute for failure elements
  `static final String`
  `ATTR_NAME`
  name attribute for property, testcase and testsuite elements
  `static final String`
  `ATTR_PACKAGE`
  package attribute for the aggregate document
  `static final String`
  `ATTR_SKIPPED`
  `static final String`
  `ATTR_TESTS`
  tests attribute for testsuite elements
  `static final String`
  `ATTR_TIME`
  time attribute for testcase and testsuite elements
  `static final String`
  `ATTR_TYPE`
  type attribute for failure and error elements
  `static final String`
  `ATTR_VALUE`
  value attribute for property elements
  `static final String`
  `ERROR`
  the error element
  `static final String`
  `FAILURE`
  the failure element
  `static final String`
  `HOSTNAME`
  name of host running the tests
  `static final String`
  `PROPERTIES`
  the properties element
  `static final String`
  `PROPERTY`
  the property element
  `static final String`
  `SYSTEM_ERR`
  the system-err element
  `static final String`
  `SYSTEM_OUT`
  the system-out element
  `static final String`
  `TESTCASE`
  the testcase element
  `static final String`
  `TESTSUITE`
  the testsuite element
  `static final String`
  `TESTSUITES`
  the testsuites element for the aggregate document
  `static final String`
  `TIMESTAMP`
  timestamp of test cases

- ## Field Details

  - ### TESTSUITES

    static final String TESTSUITES
    the testsuites element for the aggregate document
    See Also:
      - Constant Field Values

  - ### TESTSUITE

    static final String TESTSUITE
    the testsuite element
    See Also:
      - Constant Field Values

  - ### TESTCASE

    static final String TESTCASE
    the testcase element
    See Also:
      - Constant Field Values

  - ### ERROR

    static final String ERROR
    the error element
    See Also:
      - Constant Field Values

  - ### FAILURE

    static final String FAILURE
    the failure element
    See Also:
      - Constant Field Values

  - ### SYSTEM_ERR

    static final String SYSTEM_ERR
    the system-err element
    See Also:
      - Constant Field Values

  - ### SYSTEM_OUT

    static final String SYSTEM_OUT
    the system-out element
    See Also:
      - Constant Field Values

  - ### ATTR_PACKAGE

    static final String ATTR_PACKAGE
    package attribute for the aggregate document
    See Also:
      - Constant Field Values

  - ### ATTR_NAME

    static final String ATTR_NAME
    name attribute for property, testcase and testsuite elements
    See Also:
      - Constant Field Values

  - ### ATTR_TIME

    static final String ATTR_TIME
    time attribute for testcase and testsuite elements
    See Also:
      - Constant Field Values

  - ### ATTR_ERRORS

    static final String ATTR_ERRORS
    errors attribute for testsuite elements
    See Also:
      - Constant Field Values

  - ### ATTR_FAILURES

    static final String ATTR_FAILURES
    failures attribute for testsuite elements
    See Also:
      - Constant Field Values

  - ### ATTR_TESTS

    static final String ATTR_TESTS
    tests attribute for testsuite elements
    See Also:
      - Constant Field Values

  - ### ATTR_SKIPPED

    static final String ATTR_SKIPPED
    See Also:
      - Constant Field Values

  - ### ATTR_TYPE

    static final String ATTR_TYPE
    type attribute for failure and error elements
    See Also:
      - Constant Field Values

  - ### ATTR_MESSAGE

    static final String ATTR_MESSAGE
    message attribute for failure elements
    See Also:
      - Constant Field Values

  - ### PROPERTIES

    static final String PROPERTIES
    the properties element
    See Also:
      - Constant Field Values

  - ### PROPERTY

    static final String PROPERTY
    the property element
    See Also:
      - Constant Field Values

  - ### ATTR_VALUE

    static final String ATTR_VALUE
    value attribute for property elements
    See Also:
      - Constant Field Values

  - ### ATTR_CLASSNAME

    static final String ATTR_CLASSNAME
    classname attribute for testcase elements
    See Also:
      - Constant Field Values

  - ### ATTR_ID

    static final String ATTR_ID
    id attribute
    See Also:
      - Constant Field Values

  - ### TIMESTAMP

    static final String TIMESTAMP
    timestamp of test cases
    See Also:
      - Constant Field Values

  - ### HOSTNAME

    static final String HOSTNAME
    name of host running the tests
    See Also:
      - Constant Field Values